Subject: bug#26604: documentation: pdf generation is broken

From: zimoun <[email-masked]>
Date: Tue, 4 May 2021 13:28:51 +0200

Hi,

On Tue, 4 May 2021 at 12:04, Ricardo Wurmus <[email-masked]> wrote:

> At least the first “wizard stuff” is merely a list of packages.
> There isn’t anything we can do to avoid the selection of packages,
> because that stuff is modular by design.  We could have an
> arbitrary collection of Texlive packages, but I’m sure we can’t
> agree on any good set because what exactly is needed depends on
> the document.

[...]

> If the problem is in figuring out what Texlive packages to install
> for generating the Guix manual: we can either document that or add
> the required packages to the inputs.

I agree.  Maybe via a manifest file?

> If you still get errors relating to fonts or font maps: this has
> been fixed on the “master” branch; the texlive-configuration
> profile hook didn’t update the font maps.

Cool!  I have missed.

Well, let close this old bug. \o/

Cheers,
simon